# Enum_TypeCode.h File Reference

`#include "tao/TypeCode.h"`
`#include "tao/TypeCode_Base_Attributes.h"`

Include dependency graph for Enum_TypeCode.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | TAO
namespace | TAO::TypeCode

## Classes

class | TAO::TypeCode::Enum< StringType, EnumeratorArrayType, RefCountPolicy >
| `CORBA::TypeCode` implementation for an OMG IDL `enum`. More...

## Detailed Description

Id
  Enum_TypeCode.h,v 1.7 2005/05/12 00:54:17 ossama Exp

Header file for a `tk_enum` CORBA::TypeCode.

Author:
  Ossama Othman <ossama@dre.vanderbilt.edu>